package com.example.listviewcustom03;


public class ListCell //implements Comparable<ListCell>
{
	private int id;
	private String nom;
	private String prenom;
	private String adresse;
	private String email;
	private String portable;
	private String fixe;
	private String photograph;

	
	
	private String category;
	private boolean isSectionHeader;
	
	public ListCell()
	{
	}
		
	public ListCell(int id, String nom, String prenom, String adresse, String email, String portable , String fixe, String category)
	{
		this.id = id;
		this.nom = nom;
		this.prenom = prenom;
		this.adresse = adresse;
		this.email = email;
		this.portable = portable;
		this.fixe = fixe;
		
		//this.photograph = photograph;
		
		this.category = category;
		isSectionHeader = false;
	}
	
/********************************/	
	public int getId()
	{
		return id;
	}
	public void setId(int Id)
	{
		this.id = id;
	}
/********************************/	
	public String getNom()
	{
		return nom;
	}
	public void setNom(String nom)
	{
		this.nom = nom;
	}
/********************************/	
	public String getPrenom()
	{
		return prenom;
	}
	public void setPrenom(String prenom)
	{
		this.prenom = prenom;
	}
/********************************/	
	public String getAdresse()
	{
		return adresse;
	}
	public void setAdresse(String Adresse)
	{
		this.adresse = adresse;
	}
/********************************/	
	public String getEmail()
	{
		return email;
	}
	public void setEmail(String Email)
	{
		this.email = email;
	}
/********************************/	
	public String getPortable()
	{
		return portable;
	}
	public void setPortable(String portable)
	{
		this.portable = portable;
	}
/********************************/	
	public String getFixe()
	{
		return fixe;
	}
	public void setFixe(String fixe)
	{
		this.fixe = fixe;
	}
/********************************/	
	public String getCategory()
	{
		return category;
	}
	public void setCategory(String category)
	{
		this.category = category;
	}
/********************************/	
	public String getPhotograph()
	{
		return this.photograph;
	}
	public void setPhotograph(String photograph)
	{
		this.photograph = photograph;
	}
/********************************/	

	
	
	
	
	public void setToSectionHeader()
	{
		isSectionHeader = true;
	}
	
	public boolean isSectionHeader()
	{
		return isSectionHeader;
	}
	/*
	@Override
	public int compareTo(ListCell other) {
		return this.category.compareTo(other.category);
	}*/
} 